Session
Executes a session
Executes a session was created with deferred execution
POST
/
api
/
v1
/
local
/
session
/
{namespace}
/
{sessionId}
Executes a session
curl --request POST \
--url https://api.example.com/api/v1/local/session/{namespace}/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"extendedEndReport": true,
"ttl": 123,
"persistenceMode": {
"mode": "hold_after_exit",
"duration": 123
},
"webhooks": {}
}
'import requests
url = "https://api.example.com/api/v1/local/session/{namespace}/{sessionId}"
payload = {
"extendedEndReport": True,
"ttl": 123,
"persistenceMode": {
"mode": "hold_after_exit",
"duration": 123
},
"webhooks": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
extendedEndReport: true,
ttl: 123,
persistenceMode: {mode: 'hold_after_exit', duration: 123},
webhooks: {}
})
};
fetch('https://api.example.com/api/v1/local/session/{namespace}/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The namespace of the session
The sessionId of the session
Body
application/json
Settings for the execution of the session
If specified, the end report generated for this session will be extended, including threads and messages
If specified, the session will never live longer than this many milliseconds.
Session will exist for at least the specified time (in milliseconds) after the session exits. This time does not include the run time of the session.
- hold_after_exit
- minimum_time
- none
Show child attributes
Show child attributes
Webhooks executed for this session
Show child attributes
Show child attributes
Response
Success
⌘I
Executes a session
